#!/bin/sh

set -e

# Load common properties and functions in the current script.
. ./common.sh

echo "*** GET SYSLINUX BEGIN ***"

# Read the 'SYSLINUX_SOURCE_URL' property from '.config'.
DOWNLOAD_URL=`read_property SYSLINUX_SOURCE_URL`

# Grab everything after the last '/' character.
ARCHIVE_FILE=${DOWNLOAD_URL##*/}

# Download Syslinux source archive in the 'source' directory.
download_source $DOWNLOAD_URL $SOURCE_DIR/$ARCHIVE_FILE

# Extract the Syslinux sources in the 'work/syslinux' directory.
extract_source $SOURCE_DIR/$ARCHIVE_FILE syslinux

# We go back to the main MLL source folder.
cd $SRC_DIR

echo "*** GET SYSLINUX END ***"
